/**
 * Project: MentDB
 * Description: Mentalese Database Engine
 * Website: http://www.mentdb.org
 * Twitter: https://twitter.com/mentalese_db
 * LinkedIn: https://www.linkedin.com/company/mentdb
 * Facebook: https://www.facebook.com/mentdb
 * Author: Jimmitry Payet
 * Website: http://www.jpayet.re
 * Mail: contact@jpayet.re
 * Locality: Reunion Island (French)
 */

package re.jpayet.mentdb.doc;

//Basic doc page
public class Doc_install {
	
	static String p = "install";
	
	//Load the page
	public static void load() {
		
		Doc.createPage(p, "Install");
		
		Doc.createSection(p, "MentDB Server.", "On OSX/Linux or Windows");

		Doc.createBlockText(p, "1 - BEGIN");
		Doc.createBlockText(p, "2 - Download and Install Java <span style='font-weight:bold;color:#F00'>JDK 8</span>, or go to the step 3");
		Doc.createBlockText(p, "3 - Unzip the file '<b>MentDB_Server_v-alpha-X.X.X_XXXX-XX-XX.zip</b>'");
		Doc.createBlockText(p, "4 - cd MentDB_Server/bin/osx-linux (on osx or linux)");
		Doc.createBlockText(p, "4 - cd MentDB_Server/bin/windows (on windows)");
		Doc.createBlockText(p, "5 - Edit the file ./server.sh (or server.bat on Windows)");
		Doc.createBlockText(p, "6 - Change the path to your new Java JDK");
		Doc.createBlockText(p, "7 - Grant 'READ/WRITE' options to your system user on the directory 'MentDB_Server'");
		Doc.createBlockText(p, "8 - END");
		
		Doc.createSection(p, "MentDB Editor.", "On OSX/Linux or Windows");

		Doc.createBlockText(p, "1 - BEGIN");
		Doc.createBlockText(p, "2 - Download and Install Java <span style='font-weight:bold;color:#F00'>JDK 8</span>, or go to the step 3");
		Doc.createBlockText(p, "3 - Unzip the file '<b>MentDB_Editor_v-alpha-X.X.X_XXXX-XX-XX.zip</b>'");
		Doc.createBlockText(p, "4 - cd MentDB_Editor/bin/osx-linux (on osx or linux)");
		Doc.createBlockText(p, "4 - cd MentDB_Editor/bin/windows (on windows)");
		Doc.createBlockText(p, "5 - Edit the file ./editor.sh (or editor.bat on Windows)");
		Doc.createBlockText(p, "6 - Change the path to your new Java JDK");
		Doc.createBlockText(p, "7 - Grant 'READ/WRITE' options to your system user on the directory 'MentDB_Editor'");
		Doc.createBlockText(p, "8 - END");
		
	}

}
