<%@ page import="java.net.URLEncoder,java.util.Map.Entry,java.util.Vector,re.jpayet.mentdb.server.Start,re.jpayet.mentdb.doc.MQLDocumentation;" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">

    <link rel="icon" type="image/png" href="images/mentdb32x32.png" />
    <title>MQL <% out.print(Start.version); %></title>
</head>
<body id='top' style="margin:0px;font-family: 'Helvetica Neue', Roboto, Arial, 'Droid Sans', sans-serif;">
<div style='width: 100%;background: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, #5b6479), color-stop(100%, #4c5566)), #686e78;
    background: -webkit-linear-gradient(#575757, #4B4B4B), #3F3F3F;
    background: -moz-linear-gradient(#575757, #4B4B4B), #3F3F3F;
    background: -o-linear-gradient(#575757, #4B4B4B), #3F3F3F;
    background: linear-gradient(#575757, #4B4B4B), #3F3F3F;background-color: #F0F0F0;height:58px;color:#E7E7E7;line-height:58px;'><img src="images/mentdbw.png" width='44px' style='padding: 11px 13px 5px;margin-top: -7px;background: -webkit-linear-gradient(#C9573D, #A7351B); /* For Safari 5.1 to 6.0 */background: -o-linear-gradient(#C9573D, #A7351B); /* For Opera 11.1 to 12.0 */background: -moz-linear-gradient(#C9573D, #A7351B); /* For Firefox 3.6 to 15 */background: linear-gradient(#C9573D, #A7351B); /* Standard syntax */vertical-align: middle;'> &nbsp; &nbsp; &nbsp; Mentalese Query Language &nbsp; <% out.print(Start.version); %></div>
    
<div style='padding:0px'>
<% 
//Title
int z = 0;
for (Entry<String, Vector<MQLDocumentation>> e : MQLDocumentation.functions.entrySet()) {

	if (z>0) out.print("<div style='clear:left;height:20px'></div>");

	out.print("<div style='line-height: 32px;clear:left;font-size: 13px;font-weight:bold;padding:0px 8px 4px 8px;'><a href='#s_"+e.getKey().replace(" ", "_")+"' style='text-decoration:none;color: #CC4B2E;padding: 5px 8px;background: #EDEDED;border-top: 1px solid #D9DEE4;border-bottom: 1px solid #D9DEE4;margin-left: -8px;width: 100%;display: block;font-size:16px'>"+e.getKey()+"<small> &nbsp; - &nbsp; RIGHT="+MQLDocumentation.rights.get(e.getKey())+"</small></a></div>");
	out.print("<div style='display: inline-block;padding-top: 5px;padding-bottom: 10px;'>");
	for(int i=0;i<e.getValue().size();i++) {
	
		//Get the current MQLDocumentation object
		
		MQLDocumentation currentFunction = e.getValue().get(i);
	
		String color = "#6B6B6B";
		if (!currentFunction.warning.equals("")) color = "rgb(0, 102, 255)";
		
		String valid = "";
		if (currentFunction.valid) valid = ";color:"+color;
		else valid = ";color:#f90";
		
		if (currentFunction.webSocket) out.print("<a title='"+currentFunction.warning.replace("'", "&#39;")+"' style='"+valid+";font-size: 12px;padding:2px 8px 2px 8px;float:left;display:inline-block;width:230px' href='#fx_"+currentFunction.functionId.replace(" ", "_")+"'>@"+currentFunction.functionId+(!currentFunction.synonymous.equals("")?" <span style='font-size:8px;color:rgb(108, 182, 212)'>"+currentFunction.synonymous+"</span>":"")+"</a>");
		else out.print("<a title='"+currentFunction.warning.replace("'", "&#39;")+"' style='"+valid+";font-size: 12px;padding:2px 8px 2px 8px;float:left;display:inline-block;width:230px' href='#fx_"+currentFunction.functionId.replace(" ", "_")+"'>"+currentFunction.functionId+(!currentFunction.synonymous.equals("")?" <span style='font-size:8px;color:rgb(108, 182, 212)'>"+currentFunction.synonymous+"</span>":"")+"</a>");
	
	}
	
	out.print("</div>");
	z++;
	
}
out.print("<div style='clear:left;'></div>");
//Description
for (Entry<String, Vector<MQLDocumentation>> e : MQLDocumentation.functions.entrySet()) {

	out.print("<div id='s_"+e.getKey().replace(" ", "_")+"' style='border-bottom: 1px #E6E9ED solid;padding:0px 15px 0px 15px'><h1 style='color:#CC4B2E;margin-top:15px;margin-bottom:15px'>"+e.getKey()+"<small> &nbsp; - &nbsp; RIGHT="+MQLDocumentation.rights.get(e.getKey())+"</small></h1></div>");
	
	for(int i=0;i<e.getValue().size();i++) {
	
		//Get the current MQLDocumentation object
		
		MQLDocumentation currentFunction = e.getValue().get(i);
		
		out.print("<div style='-moz-box-sizing: border-box;box-sizing: border-box;border-bottom:1px #F0F0F0 solid;padding-bottom:20px;margin-left:20px;margin-right:20px;font-size:12px'>");
		out.print("<div id='fx_"+currentFunction.functionId.replace(" ", "_")+"'><h2 style='color:#6B6B6B'><a href='#top'><img src='images/top.png' style='width:16px'></a> "+(currentFunction.webSocket?"@":"")+currentFunction.functionId);
		if (currentFunction.parameters.size()>0) for(int r=0;r<currentFunction.parameters.size();r++) {
			out.print(" &lt;<span style='color:rgb(236, 133, 18);font-weight:normal'>"+currentFunction.parameters.get(r).name+"</span>&gt;");
		}
		out.print("</h2></div>");
		out.print("<div style='margin-left:20px;'>");
		if (!currentFunction.synonymous.equals("")) out.print("<div style='color:#6B6B6B'><b>Synonymous</b><br> &nbsp;  &nbsp; "+currentFunction.synonymous+"</div>");
		if (!currentFunction.description.equals("")) out.print("<div style='color:#6B6B6B'><b>Description</b><br> &nbsp;  &nbsp; "+currentFunction.description+"</div>");
		if (currentFunction.parameters.size()>0) {
			out.print("<div style='color:#6B6B6B'><b>Parameters</b>");
			
			for(int r=0;r<currentFunction.parameters.size();r++) {
				out.print("<br> &nbsp;  &nbsp; <span style='color:rgb(236, 133, 18)'>"+currentFunction.parameters.get(r).name+"</span>: &nbsp; "+currentFunction.parameters.get(r).description+" - <span style='color:#00f'>"+currentFunction.parameters.get(r).type+"</span> - "+(currentFunction.parameters.get(r).required?"<span style='color:#f00'>required</span>":"<span style='color:#0d0'>not required</span>"));
			}
			out.print("</div>");
		}
		if (currentFunction.example1!=null) {
			out.print("<div style='overflow:auto;line-height: 20px;margin-top: 15px;padding:10px 15px 0px 15px;background-color: #F8F8F8;border:1px #F0F0F0 solid'>");
			out.print("<div style='color:#6B6B6B'><span style='font-size: 14px;'><b>admin</b></span><br>"+currentFunction.example1+"</div>");
			out.print("<pre style='color:#4C9ED9'><span style='font-size: 14px;'><b>mentdb</b></span><br>"+currentFunction.result1+"</pre>");
			out.print("</div>");
		}
		if (currentFunction.example2!=null) {
			out.print("<div style='overflow:auto;line-height: 20px;margin-top: 15px;padding:10px 15px 0px 15px;background-color: #F8F8F8;border:1px #F0F0F0 solid'>");
			out.print("<div style='color:#6B6B6B'>admin &gt; "+currentFunction.example2+"</div>");
			out.print("<pre style='color:#4C9ED9'>mentdb &gt; "+currentFunction.result2+"</pre>");
			out.print("</div>");
		}
		if (currentFunction.example3!=null) {
			out.print("<div style='overflow:auto;line-height: 20px;margin-top: 15px;padding:10px 15px 0px 15px;background-color: #F8F8F8;border:1px #F0F0F0 solid'>");
			out.print("<div style='color:#6B6B6B'>admin &gt; "+currentFunction.example3+"</div>");
			out.print("<pre style='color:#4C9ED9'>mentdb &gt; "+currentFunction.result3+"</pre>");
			out.print("</div>");
		}
		out.print("</div>");
		out.print("</div>");
		
	}
	
	
}

%>
</div>
</body>
</html>