/**
 * Project: MentDB
 * Description: Mentalese Database Engine
 * Website: http://www.mentdb.org
 * Twitter: https://twitter.com/mentalese_db
 * LinkedIn: https://www.linkedin.com/company/mentdb
 * Facebook: https://www.facebook.com/mentdb
 * Author: Jimmitry Payet
 * Website: http://www.jpayet.re
 * Mail: contact@jpayet.re
 * Locality: Reunion Island (French)
 */

package re.jpayet.mentdb.core.basic;

//The basic position object (used for data file and index file)
public class BasicRecordPosition {
	
	//Properties
	public BasicPosition index = new BasicPosition();
	public BasicPosition collision = new BasicPosition();
	public BasicPosition data = new BasicPosition();
	
	//Constructor
	public BasicRecordPosition(int indexFileId, long indexPosition, int collisionFileId, long collisionPosition, int dataFileId, long dataPosition) {
		
		//Initialization
		this.index.fileId = indexFileId;
		this.index.position = indexPosition;
		this.collision.fileId = collisionFileId;
		this.collision.position = collisionPosition;
		this.data.fileId = dataFileId;
		this.data.position = dataPosition;
		
	}
	
	//Constructor
	public BasicRecordPosition() {
		
	}

}